package com.qianhe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 单位分档规则对象 sj_gfjs_fdgz
 *
 * @author qianhe
 * @date 2025-08-15
 */
public class SjGfjsFdgz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 级别 */
    @Excel(name = "级别")
    private String jb;

    /** 最小基础值 */
    @Excel(name = "最小基础值")
    private String minjcz;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    /** 最大基础值 */
    @Excel(name = "最大基础值")
    private String maxjcz;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setJb(String jb)
    {
        this.jb = jb;
    }

    public String getJb()
    {
        return jb;
    }
    public void setMinjcz(String minjcz)
    {
        this.minjcz = minjcz;
    }

    public String getMinjcz()
    {
        return minjcz;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }
    public void setMaxjcz(String maxjcz)
    {
        this.maxjcz = maxjcz;
    }

    public String getMaxjcz()
    {
        return maxjcz;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("nd", getNd())
            .append("jb", getJb())
            .append("minjcz", getMinjcz())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .append("maxjcz", getMaxjcz())
            .toString();
    }
}
